LexicalStates

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.JFlex
Class LexicalStates

    java.lang.Object
      weka.core.parser.JFlex.LexicalStates

    public class LexicalStates

extends java.lang.Object

Simple symbol table, mapping lexical state names to integers.

Version:
  JFlex 1.4.1, $Revision: 1.1 $, $Date: 2008-05-09 09:14:11 $
Author:
  Gerwin Klein

Constructor Summary
`LexicalStates()` constructs a new lexical state symbol table

Method Summary
`java.util.Enumeration` | `getInclusiveStates()` returns the code of all inclusive states
`java.lang.Integer` | `getNumber(java.lang.String name)` returns the number (code) of a declared state, `null` if no such state has been declared.
`void` | `insert(java.lang.String name, boolean is_inclusive)` insert a new state declaration
`java.util.Enumeration` | `names()` returns the names of all states
`int` | `number()` returns the number of declared states

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LexicalStates

    public LexicalStates()

  constructs a new lexical state symbol table

Method Detail

### insert

    public void insert(java.lang.String name,
                       boolean is_inclusive)

  insert a new state declaration

### getNumber

    public java.lang.Integer getNumber(java.lang.String name)

  returns the number (code) of a declared state, `null` if no such state has been declared.

### number

    public int number()

  returns the number of declared states

### names

    public java.util.Enumeration names()

  returns the names of all states

### getInclusiveStates

    public java.util.Enumeration getInclusiveStates()

  returns the code of all inclusive states

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD